Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{host}/extern/fe/intent/{intentId}/cancel \ --header 'Authorization: Bearer <token>' \ --header 'X-Publishable-Key: <api-key>'
const options = { method: 'POST', headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'} }; fetch('https://{host}/extern/fe/intent/{intentId}/cancel', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://{host}/extern/fe/intent/{intentId}/cancel" headers = { "X-Publishable-Key": "<api-key>", "Authorization": "Bearer <token>" } response = requests.post(url, headers=headers) print(response.text)
{ "status": "<string>", "data": { "intentId": "<string>", "expiresAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "externalRef": "<string>", "requestParams": "<unknown>", "quoteSummary": "<unknown>", "lockedAt": "2023-11-07T05:31:56Z", "lockedBy": "<string>", "txHashes": [ "<string>" ], "chainIds": [ 123 ], "settledAt": "2023-11-07T05:31:56Z", "errorMessage": "<string>", "payload": "<unknown>" } }
{ "status": "<string>", "message": "<string>" }
Tenant publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Success
"success"
Show child attributes
Was this page helpful?